export { background, border, brandAltBackground, brandAltBorder, brandAltLine, brandAltText, brandBackground, brandBorder, brandLine, brandText, line, palette, text } from './colour/palette';
export { descriptionId } from './accessibility/description-id';
export { focusHalo } from './accessibility/focus-halo';
export { generateSourceId } from './accessibility/generate-source-id';
export { visuallyHidden } from './accessibility/visually-hidden';
export { transitions } from './animation/transitions';
export { Breakpoint, breakpoints } from './breakpoints/breakpoints';
export { between, from, until } from './mq/mq';
export { height, iconSize, remHeight, remWidth, size, width } from './size/size';
export { remSpace, space } from './space/space';
export { body, headline, textSans, titlepiece } from './typography/index';
export { body as bodyObjectStyles, headline as headlineObjectStyles, textSans as textSansObjectStyles, titlepiece as titlepieceObjectStyles } from './typography/api';
export { bodySizes, fontWeightMapping as fontWeights, fontMapping as fonts, headlineSizes, lineHeightMapping as lineHeights, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from './typography/data';
export { BodySizes, Category, FontScaleArgs, FontScaleFunction, FontScaleFunctionStr, FontStyle, FontWeight, FontWeightDefinition, Fs, HeadlineSizes, LineHeight, Option, ScaleUnit, TextSansSizes, TitlepieceSizes, TypographySizes, TypographyStyles } from './typography/types';
export { appearance } from './utils/supports-queries';
export { FocusStyleManager } from './accessibility/focus-style-manager';
export { pxToRem, rootPixelFontSize } from './utils/px-to-rem';
export { resets } from './utils/resets';
export { svgBackgroundImage } from './utils/svg-background-image';

declare const brand: {
    100: "#001536";
    300: "#041F4A";
    400: "#052962";
    500: "#007ABC";
    600: "#506991";
    800: "#C1D8FC";
};
declare const brandAlt: {
    200: "#F3C100";
    300: "#FFD900";
    400: "#FFE500";
};
declare const neutral: {
    0: "#000000";
    7: "#121212";
    10: "#1A1A1A";
    20: "#333333";
    46: "#707070";
    60: "#999999";
    86: "#DCDCDC";
    93: "#EDEDED";
    97: "#F6F6F6";
    100: "#FFFFFF";
};
declare const error: {
    400: "#C70000";
    500: "#FF9081";
};
declare const success: {
    400: "#22874D";
    500: "#58D08B";
};
declare const news: {
    100: "#660505";
    200: "#8B0000";
    300: "#AB0613";
    400: "#C70000";
    500: "#FF5943";
    550: "#FF9081";
    600: "#FFBAC8";
    800: "#FFF4F2";
};
declare const opinion: {
    100: "#672005";
    200: "#8D2700";
    300: "#C74600";
    400: "#E05E00";
    500: "#FF7F0F";
    550: "#FF9941";
    600: "#F9B376";
    800: "#FEF9F5";
};
declare const sport: {
    100: "#003C60";
    200: "#004E7C";
    300: "#005689";
    400: "#0077B6";
    500: "#00B2FF";
    600: "#90DCFF";
    800: "#F1F8FC";
};
declare const culture: {
    50: "#2B2625";
    100: "#3E3323";
    200: "#574835";
    300: "#6B5840";
    350: "#866D50";
    400: "#A1845C";
    500: "#EACCA0";
    600: "#E7D4B9";
    700: "#EFE8DD";
    800: "#FBF6EF";
};
declare const lifestyle: {
    100: "#510043";
    200: "#650054";
    300: "#7D0068";
    400: "#BB3B80";
    500: "#FFABDB";
    600: "#FEC8D3";
    800: "#FEEEF7";
};
declare const labs: {
    200: "#4B8878";
    300: "#65A897";
    400: "#69D1CA";
};
declare const specialReport: {
    100: "#222527";
    200: "#303538";
    300: "#3F464A";
    400: "#595C5F";
    450: "#9DA0A2";
    500: "#ABC2C9";
    700: "#E4E5E8";
    800: "#EFF1F2";
};
declare const focus: {
    400: "#0093E0";
};

export { brand, brandAlt, culture, error, focus, labs, lifestyle, neutral, news, opinion, specialReport, sport, success };
